## ros-indigo-concert-conductor 0.6.11

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(concert_conductor)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED dynamic_reconfigure)

catkin_python_setup()
generate_dynamic_reconfigure_options(cfg/params.cfg)
catkin_package()

##############################################################################
# Installs
##############################################################################

install(
    PROGRAMS 
        scripts/conductor.py
        scripts/concert_conductor_graph
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
    )

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== Makefile ===

doc: clean sphinx

sphinx:
	rosdoc_lite .

clean:
	rm -rf doc/html

=== debian/changelog ===
ros-indigo-concert-conductor (0.6.11-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 27 Aug 2015 15:00:00 -0000

ros-indigo-concert-conductor (0.6.10-1trusty) trusty; urgency=high

  * remove pull watchlist for gone client in redis
  * cleanup
  * dynamic reconfigure applied in conductor closes #309 <https://github.com/robotics-in-concert/rocon_concert/issues/309>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 27 Aug 2015 15:00:00 -0000

ros-indigo-concert-conductor (0.6.9-1trusty) trusty; urgency=high

  * add transition available to uninvited #302 <https://github.com/robotics-in-concert/rocon_concert/issues/302>
  * callable error fix
  * update transition table #302 <https://github.com/robotics-in-concert/rocon_concert/issues/302>
  * comment out transition caused by wait for service timeout. closes #302 <https://github.com/robotics-in-concert/rocon_concert/issues/302>
  * fixing the logic to use remote controller slot in concert_client #302 <https://github.com/robotics-in-concert/rocon_concert/issues/302>
  * add state transition from busy to pending #302 <https://github.com/robotics-in-concert/rocon_concert/issues/302>
  * correcting the transition table
  * add not in network node
  * increae gap between nodes
  * remove dummy from label
  * add conductor state transition dotgraph generator for easy introspection closes #301 <https://github.com/robotics-in-concert/rocon_concert/issues/301>
  * add state transition graph
  * configurable ros service timeout closes #300 <https://github.com/robotics-in-concert/rocon_concert/issues/300>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-indigo-concert-conductor (0.6.8-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 26 Apr 2015 15:00:00 -0000

ros-indigo-concert-conductor (0.6.7-1trusty) trusty; urgency=high

  * add sleep for spining closes #278 <https://github.com/robotics-in-concert/rocon_concert/issues/278>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 05 Apr 2015 15:00:00 -0000

ros-indigo-concert-conductor (0.6.6-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 22 Mar 2015 15:00:00 -0000

ros-indigo-concert-conductor (0.6.5-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 26 Feb 2015 15:00:00 -0000

ros-indigo-concert-conductor (0.6.4-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-indigo-concert-conductor (0.6.3-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 04 Jan 2015 15:00:00 -0000

ros-indigo-concert-conductor (0.6.2-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 01 Dec 2014 15:00:00 -0000

ros-indigo-concert-conductor (0.6.1-1trusty) trusty; urgency=high

  * [rocon_concert] permit esoteric names once more.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-concert-conductor (0.6.0-1trusty) trusty; urgency=high

  * documentation for the concert conductor.
  * use proper lists for hubs/concerts now roslaunch can handle it.
  * need the invite handle so we can uninvite it later, this was a regresion
    and this fixes #230 <https://github.com/robotics-in-concert/rocon_concert/issues/230>.
  * need the invite handle so we can uninvite it later, this was a regresion
    and this fixes #230 <https://github.com/robotics-in-concert/rocon_concert/issues/230>.
  * update publisher queue_size to avoid warning in indigo.
  * pass ip info along in concert client publishing.
  * remove debugging print.
  * bifurcating shell/gui processing for concert_conductor_graph
  * bugfix accidentally cancelled publisher pulls with the service pulls, #222 <https://github.com/robotics-in-concert/rocon_concert/issues/222>
  * remove unused conductor process pulls once they're done with, #222 <https://github.com/robotics-in-concert/rocon_concert/issues/222>
  * unregister the gateway info subscriber after we've finished with it.
  * sphinx docs for concert conductor
  * wireless handling and not using gone clients to generate concert aliases.
  * small documentation on how the state machine works.
  * Updated Idle->Available to reflect state name refactoring and relevant
    comments.
    Dummy transition handler for wireless dropouts.
  * ConcertClientException no longer useed.
  * eliminate redundant rapp_status and use uri's properly.
  * bugfixes to reenable chatter concert.
  * client status/gateway-info update handling and alot of minor fixes.
  * concert client publishers reintegrated in for the new conductor
  * don't go hunting for the gateway, configure it instead.
  * concert transitions now working for conductor v2.
  * relax timeouts on advertised concert client pulled services, fixes #217 <https://github.com/robotics-in-concert/rocon_concert/issues/217>
  * rapp_handler -> rocon_scheduler_requests
  * a convenience rapp handler class for external users.
  * expose invited clients only once their handles have been flipped across.
  * interactions moved to rocon_tools, also updates for the rocon_utilities breakup.
  * explanatory comment about the application namespace.
  * make specific an exception message
  * catch a shutdown exception.
  * check rocon version of concert clients by conductor.
  * updates for the new rocon uri
  * platform tuple overhaul.
  * update for recently moved modules to rocon_tools, also platform_tuples refactoring.
  * remove unused variable.
  * remove unused variable.
  * cancel pulls when a client leaves, fixes #169 <https://github.com/robotics-in-concert/rocon_concert/issues/169> and ignore hash names, not friendly names, fixes #170 <https://github.com/robotics-in-concert/rocon_concert/issues/170>.


=== debian/control ===
Source: ros-indigo-concert-conductor
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-dynamic-reconfigure
Homepage: http://ros.org/wiki/concert_conductor
Standards-Version: 3.9.2

Package: ros-indigo-concert-conductor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-concert-msgs, ros-indigo-dynamic-reconfigure, ros-indigo-gateway-msgs, ros-indigo-rocon-app-manager-msgs, ros-indigo-rocon-console, ros-indigo-rocon-gateway-utils, ros-indigo-rocon-python-comms, ros-indigo-rocon-uri, ros-indigo-rosgraph, ros-indigo-rospy, ros-indigo-rosservice, ros-indigo-std-msgs, ros-indigo-std-srvs
Description: Managing the concert clients - invitations, monitoring connections...

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-concert-conductor//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
